package cz.cvut.kbss.wpa.jpa.model;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "employee")
public class Employee extends Person {

    @ManyToOne
    @JoinColumn(name = "DEPT_ID")
    private Department department;

    public Employee() {
    }

    public Employee(String name, String surname) {
        super(name, surname);
    }

    public Department getDepartment() {
        return department;
    }

    public void setDepartment(Department department) {
        this.department = department;
    }

    @Override
    public String toString() {
        if (department == null) {
            return super.toString();
        } else {
            return "Employee{" + super.toString() + ", department = " + department + "}";
        }
    }
}
